<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:27 CEST 2019 -->
<title>Arc4EncryptionPluginSpi (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Arc4EncryptionPluginSpi (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/arc4/Arc4EncryptionPlugin.html" title="class in org.firebirdsql.gds.ng.wire.crypt.arc4"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/firebirdsql/gds/ng/wire/crypt/arc4/Arc4EncryptionPluginSpi.html" target="_top">Frames</a></li>
<li><a href="Arc4EncryptionPluginSpi.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire.crypt.arc4</div>
<h2 title="Class Arc4EncryptionPluginSpi" class="title">Class Arc4EncryptionPluginSpi</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.crypt.arc4.Arc4EncryptionPluginSpi</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/EncryptionPluginSpi.html" title="interface in org.firebirdsql.gds.ng.wire.crypt">EncryptionPluginSpi</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">Arc4EncryptionPluginSpi</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/EncryptionPluginSpi.html" title="interface in org.firebirdsql.gds.ng.wire.crypt">EncryptionPluginSpi</a></pre>
<div class="block">ARC4 encryption plugin provider.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/arc4/Arc4EncryptionPluginSpi.html#Arc4EncryptionPluginSpi--">Arc4EncryptionPluginSpi</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/EncryptionPlugin.html" title="interface in org.firebirdsql.gds.ng.wire.crypt">EncryptionPlugin</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/arc4/Arc4EncryptionPluginSpi.html#createEncryptionPlugin-org.firebirdsql.gds.ng.wire.WireConnection-">createEncryptionPlugin</a></span>(<a href="../../../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireConnection</a>&lt;?,?&gt;&nbsp;connection)</code>
<div class="block">Creates the encryption plugin for the provided connection.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/EncryptionIdentifier.html" title="class in org.firebirdsql.gds.ng.wire.crypt">EncryptionIdentifier</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/arc4/Arc4EncryptionPluginSpi.html#getEncryptionIdentifier--">getEncryptionIdentifier</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Arc4EncryptionPluginSpi--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Arc4EncryptionPluginSpi</h4>
<pre>public&nbsp;Arc4EncryptionPluginSpi()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getEncryptionIdentifier--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncryptionIdentifier</h4>
<pre>public&nbsp;<a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/EncryptionIdentifier.html" title="class in org.firebirdsql.gds.ng.wire.crypt">EncryptionIdentifier</a>&nbsp;getEncryptionIdentifier()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/EncryptionPluginSpi.html#getEncryptionIdentifier--">getEncryptionIdentifier</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/EncryptionPluginSpi.html" title="interface in org.firebirdsql.gds.ng.wire.crypt">EncryptionPluginSpi</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Encryption identifier</dd>
</dl>
</li>
</ul>
<a name="createEncryptionPlugin-org.firebirdsql.gds.ng.wire.WireConnection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createEncryptionPlugin</h4>
<pre>public&nbsp;<a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/EncryptionPlugin.html" title="interface in org.firebirdsql.gds.ng.wire.crypt">EncryptionPlugin</a>&nbsp;createEncryptionPlugin(<a href="../../../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireConnection</a>&lt;?,?&gt;&nbsp;connection)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/EncryptionPluginSpi.html#createEncryptionPlugin-org.firebirdsql.gds.ng.wire.WireConnection-">EncryptionPluginSpi</a></code></span></div>
<div class="block">Creates the encryption plugin for the provided connection.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/EncryptionPluginSpi.html#createEncryptionPlugin-org.firebirdsql.gds.ng.wire.WireConnection-">createEncryptionPlugin</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/EncryptionPluginSpi.html" title="interface in org.firebirdsql.gds.ng.wire.crypt">EncryptionPluginSpi</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Connection</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Encryption plugin</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/firebirdsql/gds/ng/wire/crypt/arc4/Arc4EncryptionPlugin.html" title="class in org.firebirdsql.gds.ng.wire.crypt.arc4"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/firebirdsql/gds/ng/wire/crypt/arc4/Arc4EncryptionPluginSpi.html" target="_top">Frames</a></li>
<li><a href="Arc4EncryptionPluginSpi.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
